Subject: Re: [PATCH v4] setup: allow cwd/.git to be a symlink to a directory

From: Junio C Hamano <[email-masked]>
Date: Tue, 17 Feb 2026 13:10:57 -0800

Karthik Nayak <[email-masked]> writes:

> My indication wasn't separate the tests out into an individual commit.
> But rather to highlight that this one commit is doing multiple things
> and it would be nice to split it out and each commit could tackle an
> individual problem with tests included.

Like treating "all stat failures silently ignored, instead of
treating ENOENT specifically" and "a non-directory non-file
filesystem entity being silently ignored" two separate issues, so at
least two patches, and possibly if we need a preliminary clean-up
to make these two changes, yet another one?  And each patch focuses
on one thing it addresses, with its own test?  That makes sense.

Thanks.